networks:
  minio:
    name: minio
    driver: bridge
########################### SECRETS
secrets:
  root_user:
    file: $SECRETSDIR/minio/minio_root_user
  root_password:
    file: $SECRETSDIR/minio/minio_root_password
services:
  minio:
    container_name: ${CONTAINER_NAME}
    image: ${IMAGE}:${VERSION}
    restart: ${RESTART_POLICY}
    volumes:
      - /share/Minio:/bitnami/minio/data
    environment:
      - MINIO_ROOT_USER_FILE=/run/secrets/root_user
      - MINIO_ROOT_PASSWORD_FILE=/run/secrets/root_password
      - PGID=${PGID}
      - PUID=${PUID}
      - TZ=${TZ}
    ports:
      - ${PORT1}:9000
      - ${PORT2}:9001
    networks:
      minio:
    security_opt:
      - no-new-privileges:true
    secrets:
      - root_user
      - root_password